---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab variable list`

List project or group variables

```plaintext
glab variable list [flags]
```

## Aliases

```plaintext
ls
```

## Examples

```plaintext
glab variable list

```

## Options

```plaintext
  -g, --group string      Select a group/subgroup. This option is ignored if a repo argument is set.
  -F, --output string     Format output as: text, json (default "text")
  -R, --repo OWNER/REPO   Select another repository using the OWNER/REPO or `GROUP/NAMESPACE/REPO` format or full URL or git URL
```

## Options inherited from parent commands

```plaintext
      --help   Show help for command
```
